Subject: Re: bug#7927: 23.1; UK Keyboard (pc105-uk) Definition Wrong in quail.el
From: Kenichi Handa <[email-masked]>
To: Richard Wordingham <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Jan 2011 13:50:18 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

In article <20110126230428.60459a74@JRWUBU2>, Richard Wordingham <[email-masked]> writes:

> When I execute
> (quail-set-keyboard-layout "pc105-uk")

> quail text input methods (e.g thai-kesmanee) cease to work.  (I
> actually encountered the error when coding up a Khmer keyboard.)  When I
> should get the lower character key on a letter key I get the upper
> character, and when I type a shifted character I get the character from
> another key.
[...]
> The bug appears to be that in the definition of
> quail-keyboard-layout-alist in quail.el, there is an extra space in the
> first non-blank line of the keyboard definition of the pc105-uk
> definition.  This bug is also present in Emacs 22.1 (by examination of
> quail.el) and Emacs 23.2 (demonstrated on Windows 7).

Thank you for the report.  I've just installed a fix in
emacs-23 branch.

---
Kenichi Handa
[email-masked]